summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-12-10 11:08:58 +0100
committerHolger Levsen <holger@layer-acht.org>2012-12-10 11:08:58 +0100
commit6063c3118c34c24af7f15e602d0e2bcca069e60f (patch)
treedcd5be6dddf1369385a995439604fa42a3554f97 /bin
parent1b8f04909963f55301b9e2caf796fd1ba0b768e6 (diff)
downloadjenkins.debian.net-6063c3118c34c24af7f15e602d0e2bcca069e60f.tar.xz
treat no tmpfs mounts as fatal
Diffstat (limited to 'bin')
-rwxr-xr-xbin/housekeeping.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/bin/housekeeping.sh b/bin/housekeeping.sh
index b1c862c1..3af8ee7b 100755
--- a/bin/housekeeping.sh
+++ b/bin/housekeeping.sh
@@ -39,8 +39,7 @@ if [ "$HOUSE" != "" ] ; then
exit 1
fi
-# FIXME: no tmpfs should really mean exit 1 not 0
-df |grep tmpfs > /dev/null || ( echo "Warning: no tmpfs mounts in use. Please investigate the host system." ; exit 0 )
+df |grep tmpfs > /dev/null || ( echo "Warning: no tmpfs mounts in use. Please investigate the host system." ; exit 1 )
echo
echo "No problems found, all seems good."